using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.WebControls;

namespace Telerik
{
	public partial class _Default : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
            if (ProductOptionComboBox.Items.Count == 0 && !ProductOptionComboBox.IsCallBack)
            {
                Populate();
            }
		}

		private void Populate()
		{
            if (ProductOptionComboBox.Items.Count == 0)
            {
                ProductOptionComboBox.Items.Add(new RadComboBoxItem());
            }

			RadTreeView ProductOptionTree = (RadTreeView)ProductOptionComboBox.Items[0].FindControl("ProductOptionTree");
			ProductOptionTree.Nodes.Clear();

			// communicate the tree's clientside via the attributes collection
			ProductOptionComboBox.Items[0].Attributes["TreeID"] = ProductOptionTree.ClientID;

			RadTreeNode node = new RadTreeNode("ParentNode1");
			node.Nodes.Add(new RadTreeNode("ChildNode1"));
			ProductOptionTree.Nodes.Add(node);

			node = new RadTreeNode("ParentNode2");
			node.Nodes.Add(new RadTreeNode("ChildNode2"));
			ProductOptionTree.Nodes.Add(node);
		}

		protected void ItemsRequested(object o, RadComboBoxItemsRequestedEventArgs e)
		{
			Populate();
		}        
}

}
